/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libiio", "index.html", [
    [ "License", "index.html#license", null ],
    [ "Code Model", "index.html#code_model", null ],
    [ "Scanning for IIO contexts", "index.html#scan_contexts", null ],
    [ "Creating a context", "index.html#creating_context", [
      [ "Navigation", "index.html#navigation", [
        [ "Device objects", "index.html#device_obj", null ],
        [ "Channel objects", "index.html#channel_obj", null ]
      ] ],
      [ "Parameters", "index.html#list_params", null ]
    ] ],
    [ "Reading and modifying parameters", "index.html#reading_modify_params", [
      [ "Reading a parameter", "index.html#read_param", null ],
      [ "Modifying a parameter", "index.html#write_param", null ]
    ] ],
    [ "Triggers", "index.html#trigger", null ],
    [ "Capturing or uploading samples", "index.html#capture_upload", [
      [ "Enabling channels and creating the Buffer object", "index.html#create_buffer", null ],
      [ "Refilling the Buffer (input devices only)", "index.html#refill", null ],
      [ "Reading or writing samples to the Buffer", "index.html#read_write", [
        [ "Direct copy", "index.html#memcpy", null ],
        [ "Iterating over the buffer with a callback", "index.html#iterating_cb", null ],
        [ "Iterating on the samples with a for loop", "index.html#iterating_for", null ],
        [ "Extracting from/to a second buffer", "index.html#deinterleave", null ]
      ] ],
      [ "Convert the samples from/to hardware format", "index.html#convert", null ],
      [ "Submitting the Buffer (output devices only)", "index.html#push", null ]
    ] ],
    [ "Advanced options", "index.html#advanced", [
      [ "Register and retrieve a pointer", "index.html#userdata", null ],
      [ "Debug attributes", "index.html#debug_attr", null ],
      [ "Reading and writing registers", "index.html#registers", null ]
    ] ],
    [ "Application Binary Interface", "index.html#abi", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", null ],
        [ "Variables", "functions_vars.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", null ],
        [ "Functions", "globals_func.html", null ],
        [ "Enumerations", "globals_enum.html", null ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"ad9361-iiostream_8c-example.html",
"iio_8h.html#a944ad22f426e09cdbb493081a05472e5a866d7af569634fda7d2728ab362ce6c6"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';